=== debian/changelog ===
freesynd (0.6maemo1) unstable; urgency=low
  Initial Release
 
 -- Nerdknight <nerdknight@gmail.com>  Thu, 5 Apr 2012 12:19:30 -0300
