=== debian/control ===
Source: freesynd
Section: user/games
Priority: extra
Maintainer: Nerdknight <nerdknight@gmail.com>
Build-Depends: debhelper (>= 5), cmake, libsdl1.2-dev, libpng12-dev, libvorbis-dev, libsmpeg-dev, libogg-dev
Standards-Version: 3.7.2
Homepage: http://freesynd.sourceforge.net/

Package: freesynd
Architecture: armel
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: FreeSynd is a cross-platform, GPLed reimplementation of engine for the classic Bullfrog game, Syndicate.
 .
 You need to copy the original Syndicate data in order to play it.
XB-Maemo-Upgrade-Description: Version 0.6maemo1 changes:
 Initial release.
XB-Maemo-Display-Name: FreeSynd
XSBC-Bugtracker: http://talk.maemo.org/showthread.php?p=1153973
XB-Maemo-Icon-26:
 iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAABXAvmHAAAAAXNSR0IArs4c
 6QAAAAZiS0dEAP8A/wD/oL2nkwAAAAlwSFlzAAALEwAACxMBAJqcGAAAAAd0
 SU1FB9wEBQ8mDkRMyRgAABBgSURBVGjezZp5dNxXdcc/973fb1aNVkuWbcmW
 vMhLvGCHxIljQhInpobQJGCgB8oSWghLQ+gBwulpD4WwtKeFclpIEwqUtaxp
 SlgSggkcG/CSxE7sxLEtL5Kt1VpHGmlGmvn93u0fv1Gt+JiTzbR9f82ZOe+9
 e++7y/d+71gu4rrCkhpV1tQK1SWobxKCZiE2CSuqIZgn2M9WECQFPRzCRgs9
 +tLulIsl/E0e5uGA16bgtuWWbQp5hVN1Qk8J1o85xorQmxJ+8UTI9wtw8mLc
 ay+WAsccGoCpgTuBjA/+Yo+GmLBUIb3AUtdgaHHCylMOF8KvL8a9wkVeNcL6
 KeW2OLxhgeFnCwy/rhMGjjnWZ2ByVGkC/uaQo7DRwD73/0iBpQZOOKiArSss
 X6sVOtPCqVpDPi7kbq3k45cNMHGphf3hxbnTu1jCt5SFv8EiOWHfKsvTOcdW
 gU1DYWSqO4aZA7wjBbQa6HAXQYHZB220oAqPuhd+QaeDyw3sCNGNBpmw3CZC
 a8awsL9EZVoxHSFpgN+EL85AnReQUyxw/nnNgnQpLzrBtcI7qwy3JSFRbRgO
 IFFU+k6E7OmBnwDHXsy5bQbaZxl1oSBWgTi8Mg0fXikkbomTeyRg/H+EMZB9
 gaoU4E31wuZqYdmo0lojNKeElRPgDSk7gIEXav2swrDCvVXYtGPz+1JMfbfI
 pAAk4U/q4O4U1E5DOAavzwgPnmmmJGcu7E6v9uHBUvT5tV4UTHng4QBu8EnH
 HYu6lVc1Wk4HSt5XVjzl0G7ln1/jQQwwAn0OdofnjDX7ntlus9RgTjjcV6tp
 +1iWY9PQPQL/JrkUZPLQIlyfFD7lwcYpJczDPT3KZ68UTu/5PS9we5zYF6Yp
 nvd1aq7wu4WGgQZDW0boHglJBtB+MuSh07AD6H8u97jQ+kSGW0Ll7cMh7kCJ
 R/cGTAvAGz34QUCi2XBJm+EzzrF1TBn3Le/fF/DtcrrVVgPKOatY+OMa2Gah
 8RKP/nrDLk/o+m2Rv0zA63ygxULCQN7BsJI7ETIInFrn0V5jeOiSOB2bYhz9
 o+EoFGdeYZb1q5qF217ls7/b8dGUcIMnXPODIjvXWERmNrzdp+nbJe5ZLmyq
 EWqNQFEJO5Q7BpS7mwTpLgf2ZR48FkAV7FkgtFhoTBlotVFpjwvOCnImQAKF
 BR7kHGoFyQhMKeQUMgKhQo9y61MB31lvKe0MzyWPSojl4P1LhTtT0Eg54XQr
 3Q6+fZ3H39qsws0efD9gXOG7qzxK48qGWiFdZzFVsK1KGGxXnmwSdLuP2ROw
 doPH2k0+66oMLQs8kmlB8woeCIIUFMkIOsciDjAgSYGSggNNCmIEHXdIT8iN
 Ilx11FFw8MxMkZ2G1JvibAqUbQZsxhA2WLpGlNND8JOjjkMWoEoiVJiBWLtj
 TR2snGuZO+nAF8SHq5o9+j6W5sl9RfxTykeGHXeNO9YhJA1oAZhnkIJCUcET
 6AujF0AIYmCmAV8gJsikogVFnKDzDXZSae5XVmyz7DmhDLQYrp0PDxYcWyoN
 6dro7IknQu7KCB/NKkcUAguR8K0GziohMFZvuCWnzPcN1BmIQSIutPy2xENZ
 ZbJH2d1oCOYYtjQayBioEWTIcWhQ+cW08rMSfC+ARw+GHO8JyVjhPRnDjrMh
 D3SFmCU+yy1otQEriCcc7XPc2WA42avcLcpHVvk0NxqSBWDQIZPg9SpPDio/
 VwhazSw0mlVIAgGMrPU44sGbaw1e2kARCJTGnOM1/cqqYdj71Wp2Tyit7SXa
 ukNsl4OsEusNISW0ZYTqeosTw+fW+uRGHHfsK7Gpz1FywuS0Y2VBieUcYmCw
 StixI8MX3lsg9yqfly+ybO0LsROKZgQJIOx0tE9AvcLXZ2R+FpwOgDkg6326
 R5Rv+dBaUFZUW3BAUqhzwrQvHLy3hiPfz/PQfI+mRo/1JwM+f1T55grDOwws
 6nOsSsHGIcc2AzcBC0VoyCsbBpTmYeWvQ7jGCrFTIXsfdXyoPaTu2jhtPry5
 oLQ1WnSBRRKGwqmQX3Uo2z34joPCTDMkvw9vjDUg1w+xPSnclRRWeMAiHx0L
 kXFHxyhs3hKnzwnzBeZc7XP4taO8pxbeNc+w1gMyBu0MOdJiWTal+AUFAxOH
 HXevsnxq1HHdqHJLneF0p2N6jeGTrRbrCyhRgE8o/SXhtj0BP77NR75UitJ5
 h7tAQzMLMsy7Z5I3NBjenxbaPCHmQOMCFmTQYfPKmsdKpH9UZPfOIr3rFPaG
 XF2EqxNQVQQmFXFQPa1IjWAmgUkYzCpLLZw6qTxQgAdWGw6usLzDF1ZPgJkq
 u0adRYAKH9autjz+HyV6lhjklLtAR9YyC/NUwBctfHhYWZRT4pWgNdFh0u9Q
 hcQ0LB9SNlqIX2/Y+8WAQCFRBUvmGNqKQLXAGOxe6jGWNDR6wBLLr3Pw+tBx
 JAulqy0mEBI1hk/UGeqSgtYI4hnEBy0pEkLDpHKLKg0dyi9m+phWA6bVnIPD
 V3qYSnhdk1Cz0UPWWOwcQWtMlNOHHDoSIqcdTCpTJfivMXjsZy6CE1PgBbA2
 p1BjoNFCCKlpqK0UNC0wrlwRKPErfaYBdoW4SsO4wvb+kB95gkwBPQFaBKkw
 0GDRmDAnFP7Cj3ppXSRIhwM7G2nmlcb1Hl+tMrxiWvEToIt9JC0wEmULKQmj
 o8rJDuXhPLwbOAFwRwz2hXSvsUzNN7y6CGQdWoQ5Kagdc8iIg05HsVNJLzS0
 H3eMAOQcPB7Sf43HgUBYPq00L7B4GiEXyYVIysASS9cCoSMmFI47Dq8yULY/
 ly43/HsT/HjU0RwHmWug0UPyCn0OTQmkDYhw11nlujh8YDbk9sFm4K3djrfm
 HFQILLBIteGRlGEkbaLi1mqojsPmKUftzN6zijYJ0g0n0sL2Bsu38g6XdUje
 QY0HVQadVFoRtsyBb64WvlaC5IwCYd6xNilcOt9QnVc0bqCkaKVB5xhEDHv7
 Qj7cEWKnYbAAEzPu1+Ewny+SCmBuTmnqczBWDsS48sNqw84UsNKHEvQK3P2I
 4+nyXloMdCv6cBEddeQfK3FoCE5UCVRZMKCBRp6AQqMlERPeeNaxYSaI59YL
 7/KEKk8i8AWRyygQg/uGHe1Ph/ykV7mv1SBZPRf0bcLyAvxLJWytEWqMkPBB
 Q5Cs8oqEYVGTRzIbIkOOmChXzRPMNPT+VZzRB4Jzbhwq+rTjzJTj+Jjj0qJS
 WWWxCgQCIjDuoASDfcrT5jWRsAevSfCW+YbAA5wiIyFkXZQ2h5SKesNXNns8
 VbaazlgfoF05CjQE0NarVK7zod5EmcIKQ6J0ZR1iBW2yJF7m0+iE+R5s+F1A
 bHYmPBalyMGrfJ5CcAWleLKEDkZuqSWHVggYqHNQbY+Xc+oTAWfqDC+vEFqS
 gldl0LSJQFdJWdYdsn1fQN+HUhxqD6B7VvDfEcOcVX55hceNrZa6MYXqMk45
 4xh3ysK0EIsZ5HSIngmQYSUWwP2bPToOuAhCZxUqhIQaKqvhG9XCpZ7gAxIX
 9GSAJAQZUr45oXznrJbBXJuJ+s1Jx7iByklHW0Ex6bISMYlg8nzD6kdLTJ5S
 nlgbBR8Al1jqDgR8pkJoLSg18y30hWgJJKcEGWFahQoXIVNCkEGlViEdwk97
 lQBgi0dDn+NzLzPcutSS8gzNvkClgX0lKBJB80Gl8qjyTw7uN62zWrktcR48
 6Ng+Af+ZFOgNkJFIEI0JqWaPlZfFoob/xniUQYhcLpOD67sc8/IOekNY7iNr
 40yHSphV6qYUTRlYaJFmA2s9Pu3gk+OOcOacD8YZDmHP2ZAtJ0I2TSlab9Ep
 h672kLmG4LDj9Bnlg8CjAGYGU7QauG86iqOllttDeG/GMOaDGI2ifziEQyVW
 AKndpaiQAIw6YgF0jivhEJAyMK3gg3jCM2nB5RXpKsdVXGA45E+B2it9XPkc
 /8tTeAlh62ofqRKoMUh/iKQFGVW6OkP+bBo+GcCPZ2S25+OglQb5TcjEZTXs
 LxYJ88oaDzJWYFRhwtHaZMgcCjlVhDGAG3zkSMhNC4TKJktlRiIFRhw266it
 M6TSBtKCDCsMOOhXDvswUSHsrxZMVnnfMHx8oVAHpB2kgrJMY7DvaMi9A7BX
 4eezZTbPIqQMHCkH1IEs7CvygwFHcNZFlksLOqy0Djs+VIDvzewbVmpKUFFt
 qK8uFzynUb9bhP0VhoNzImwDik5EF18+DumPxCle4RFY+JXCsWHHpgmlrtWH
 SkERuk86bh+CL2TK7ebsDPgsBWa707EQPQunDziaR5W39DsKMUFuiEOzx0gC
 zszse2WMDgMfzDkOnAhhwoGNglUtbOgMuORoKXqVjEEWRcWxPYAHb8ijOwOY
 gLOtQtV1CYK8wq4peCKg4xnHBy4zPA6QI4qXDvcc84EZd1pezk7LLMc8eIUH
 i/MKaYGlHu7dSXY9XGT4pyUSrTF6L/d49TzLCiViHSYdMgUT9YapOZZ0CNQa
 MIIs9rj1iZBdb4phroxjWw3vzCm394TE0wJx4bf9ypkuZccz7pyxzmcJf++A
 o7XMNgOkgSLc5wtPpw03PVkidSJkwSNFtkzD0Up4e8rxOQ/WOUiIRERBowcF
 +HLKMM9C/RwLM439kLLscp/j3yvSuWse3D/B7Q42lBQGlfCocvxlhpsHlJ6g
 bPkLUZzyQljhrgbsu7Nsdo57ToesPKOM5KFnjWFek1AjBltUdJ5FSmUoebBE
 tt4Q1Ah1CYMkgHFFT4eIB7lnHJ8X6Fos3JlXlgXCbuDogPL3eTjOc1Dx3vOh
 zWfcqXmAsBK611qyCwxUKZMFcEk4mDZsKSnUW2TcQa+DFOBgKutwRUHmC4QC
 WgZmJSVVDW9baikB1ir9vY5fnoWvpKDn/Ni80DLPiy4/h1FYbOnodmwR4cZl
 Hs0VwsSociwhEVlbcFAV0TFafvJYRphbHTF9ZMosh4lIgmwJksOOZSNKOKhs
 zcKXga48uNbnId3zUmDGAi0GngxxnUrh5iQ/b4uz5mO1bGuy7PejwkPSROPJ
 SkHW+oQWHlchmzJQbWHKRX1BPiLA6ibg8WPK3x11FPuUFdPQ/Vxu85JnZOcx
 yUvbDN9YbNhUVc7/ViIapqi4pwKKtUIiKVEGypR/OxRA1hH2wNcd/DnAzR6p
 HwXk/6Bj1hYDJ8vCv9GHw47xKyyd08rbEKg2URtY0qiL6g9xgOcUJqLCRlcY
 FbRJGMrD6mZ4cgxOHnWUtngvbLT1ghWYncoORxe5dR6lIWWBpyyyQjwpaFGR
 cUVGHA/HhfGMYb4nkFPUAymCjkBnCFcNR/OCiecK2D/IoHulQXYFjPUo910b
 48yQY2VCqA+ICt4E/EOTZXGgLAkjv5cxpa8P7h+FH1r4Xci5kdb/6qS+ZVax
 W2owjwQcWmKpSwnX5hQdcciYY1UASzJCwkboNDih/GObcOcAPF2C0ouZw10U
 BWYubTFwqgwCTzp2omRLsK3BwKiSsOBikLTCl8bh3mWGu3c5nCszzC9lXnxR
 /itxPnYaUPY3G0YHHLkxx2ABRqdhqj1kZ7vyr9WGsFcvjG3+z1aLeVaaNfvn
 Yu5MElskZBYLlfOhOglLLrNUng+JX8r6bzUghdhewLPkAAAAAElFTkSuQmCC
 ====
