=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1


# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)


CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2 -mcpu=cortex-a8 -mtune=cortex-a8 -mfpu=neon -rpath,/opt/maemo/usr/lib
endif

config.status:
	dh_testdir
	# Add here commands to configure the package.
	sh configureCMake.sh -DPREFIX=/usr -DLIB_DIR=/usr/lib -DDISABLE_WERROR=true -DCMAKE_SKIP_RPATH=true -DCMAKE_BUILD_TYPE=Debug 
	$(MAKE) -C libsrc/SDL_image-1.2.12/build
	$(MAKE) -C libsrc/SDL_mixer-1.2.12/build
build: 
	
clean:
	dh_testdir
	dh_testroot
	#$(MAKE) -C libsrc/SDL_image-1.2.12 distclean
	#$(MAKE) -C libsrc/SDL_mixer-1.2.12 distclean
	rm -rf libsrc/SDL_image-1.2.12/build
	rm -rf libsrc/SDL_mixer-1.2.12/build
	rm -f build-stamp
	# Add here commands to clean up after the build process.
	#-$(MAKE) -C debian/build distclean
	rm -rf debian/build
	rm -rf debian/freesynd
ifneq "$(wildcard /usr/share/misc/config.sub)" ""
	cp -f /usr/share/misc/config.sub config.sub
endif
ifneq "$(wildcard /usr/share/misc/config.guess)" ""
	cp -f /usr/share/misc/config.guess config.guess
endif


	dh_clean 

install: config.status
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Add here commands to install the package into debian/freesynd.
	$(MAKE) -C debian/build DESTDIR=$(CURDIR)/debian/freesynd install
	cp $(CURDIR)/debian/build/src/freesynd $(CURDIR)/debian/freesynd/opt/freesynd
	ln -s /opt/freesynd/freesynd $(CURDIR)/debian/freesynd/usr/bin/freesynd
	dh_install --sourcedir=$(CURDIR)/debian/freesynd

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs ChangeLog
#	dh_installdocs
#	dh_installexamples
#	dh_install
	dh_installmenu
	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_python
#	dh_installinit
#	dh_installcron
#	dh_installinfo
#	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	-maemo-optify
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install
