## freesynd 0.6maemo2

=== debian/changelog ===
freesynd (0.6maemo2) unstable; urgency=low
  Package optified
 
 -- Nerdknight <nerdknight@gmail.com>  Thu, 14 Apr 2012 11:39:00 -0300
