=== debian/rules ===
--- 
+++ 
@@ -61,7 +61,7 @@
 	dh_installdirs
 
 	# Add here commands to install the package into debian/freesynd.
-	$(MAKE) -C debian/build DESTDIR=$(CURDIR)/debian/freesynd install
+	$(MAKE) -C debian/build DESTDIR=$(CURDIR)/debian/freesynd
 	cp $(CURDIR)/debian/build/src/freesynd $(CURDIR)/debian/freesynd/opt/freesynd
 	ln -s /opt/freesynd/freesynd $(CURDIR)/debian/freesynd/usr/bin/freesynd
 	dh_install --sourcedir=$(CURDIR)/debian/freesynd
@@ -99,7 +99,7 @@
 	dh_shlibdeps
 	dh_gencontrol
 	dh_md5sums
-	-maemo-optify
+	#-maemo-optify
 	dh_builddeb
 
 binary: binary-indep binary-arch
